<html>
<head>
<script src="gl-matrix-min.js"></script>
<script src="render-helper.js"></script>
<script src="render-engine.js"></script>
<script src="render-layer.js"></script>
<script src="image-layer.js"></script>
<script>
function start() {
	var renderEngine = new RenderEngine("glcanvas");
	var image = new Image();
	image.src = "image.jpg";

	image.onload = function() {
		var layer = new ImageLayer(image);
		layer.scale(0.8, 0.6);
		layer.translate(0.3, 0.5);
		renderEngine.addLayer(layer);

		var layer2 = new ImageLayer(image);
		layer2.scale(.5, .5);
		layer2.translate(-.5, 0.0);
		layer2.rotate(1.);
		renderEngine.addLayer(layer2);
		renderEngine.render();
	}
};
</script>
</head>
<body onload="start();">
<canvas id="glcanvas" width="640" height="480">
	Your browser sucks dick and doesn't even support HTML5 canvas.<br />
	Please for the love of god switch to a real browser.
</canvas>

<script id="image-shader-vs" type="x-shader/x-vertex">
attribute vec2 a_position;
attribute vec2 a_texCoord;

varying vec2 v_texCoord;

uniform mat4 u_scaleMatrix;
uniform mat4 u_translateMatrix;
uniform mat4 u_rotateMatrix;
uniform float u_depth;

void main(void) {
	gl_Position = u_translateMatrix * u_rotateMatrix * u_scaleMatrix * vec4(a_position, u_depth, 1.0);
	v_texCoord = a_texCoord;
}
</script>
<script id="image-shader-fs" type="x-shader/x-fragment">
precision highp float;

uniform sampler2D u_image;

varying vec2 v_texCoord;

void main(void) {
	gl_FragColor = texture2D(u_image, v_texCoord);
}
</script>
</body>
</html>